> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/api-reference/settlementsconfiguration/list-settlement-report-configurations",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List settlement report configurations

> List settlement report configurations

*scopes*:
  - admin:billing
  - read:billing
  - admin:reports
  - read:reports
  - admin:settlements
  - read:settlements




## OpenAPI

````yaml /mintlify-docs/openapi/spec-payments.yaml get /accounts/{aid}/settlements/reports/configuration
openapi: 3.0.0
info:
  title: Payments API
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: >
    Public endpoints for payments, including checkout, payout and settlement
    reports.
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://checkout.dintero.com/v1
security:
  - apikey: []
tags:
  - name: Transactions
    x-displayName: Transactions
    description: |
      View and perform operations on transactions
  - name: session
    x-displayName: Sessions
    description: |
      A Checkout Session relates to an order in your system.
      When an order has been placed you create a corresponding Checkout Session
      to receive payment for that order.
  - name: payment
    x-displayName: Payment
    description: |
      Resources used by the customer aka user to complete the payment of a
      session.
  - name: settlements
    x-displayName: Settlement reports
    description: Get settlement reports generated per payout
  - name: settlements.configuration
    x-displayName: Configuration
    description: Configure settlement reports
  - name: reports
    x-displayName: Reports
    description: List the generated monthly transaction reports
  - name: example-session-callbacks
    x-displayName: Callback
    description: |
      Example of recieved callbacks from Dintero's servers.
  - name: fund-transfers
    x-displayName: Fund Transfer
    description: Transfer funds between sellers
  - name: Sellers
    x-displayName: Sellers
    description: Manage the signup of a new Seller / Merchant account
  - name: example-session-callbacks
    x-displayName: Example Callbacks
    description: Example of callbacks delivered
  - name: v2-fund-transfers
    x-displayName: Fund Transfer
    description: Transfer funds between sellers
  - name: v2-config-payout-destinations
    x-displayName: Sellers
    description: Get payout data for sellers
paths:
  /accounts/{aid}/settlements/reports/configuration:
    get:
      tags:
        - settlements.configuration
      summary: List settlement report configurations
      description: |
        List settlement report configurations

        *scopes*:
          - admin:billing
          - read:billing
          - admin:reports
          - read:reports
          - admin:settlements
          - read:settlements
      operationId: aid_settlement_report_config_list
      parameters:
        - $ref: '#/components/parameters/accountId'
        - name: starting_after
          in: query
          description: cursor for use in pagination
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/limit1k'
      responses:
        '200':
          $ref: '#/components/responses/SettlementReportConfigList'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      servers:
        - url: https://api.dintero.com/v1
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
    limit1k:
      name: limit
      in: query
      description: |
        A limit on the number of objects to be returned. Limit can range
        between 1 and 1000 items, and the default is 100 items.
      schema:
        type: integer
        minimum: 1
        maximum: 1000
        default: 100
  responses:
    SettlementReportConfigList:
      description: Settlement report configurations list
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SettlementReportConfigResponse'
    BadRequest:
      description: Bad / Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    SettlementReportConfigResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SettlementReportConfigItem'
        starting_after:
          type: string
          description: cursor for use in pagination
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    SettlementReportConfigItem:
      type: object
      allOf:
        - $ref: '#/components/schemas/UpdateSettlementReportConfigItem'
        - properties:
            id:
              type: string
            last_send_at:
              description: >
                **Deprecated** report configuration is not used for controlling
                when to create and send report


                Value in milliseconds (Unix epoch) describing when last time
                reports was sent.
              type: number
              readOnly: true
            last_modified_at:
              description: >
                **Deprecated** report configuration is not used for controlling
                when to create and send report


                Value in milliseconds (Unix epoch) describing when last time
                reports was modified.
              type: number
              readOnly: true
            created_at:
              type: string
              format: date-time
              description: |
                The date-time when the resource was created
              readOnly: true
            updated_at:
              type: string
              format: date-time
              description: |
                The date-time when the resource was last updated
              readOnly: true
            account_id:
              type: string
              readOnly: true
    UpdateSettlementReportConfigItem:
      type: object
      required:
        - filetypes
        - destinations
        - providers
      properties:
        send_every:
          description: >
            **Deprecated** report configuration is not used for controlling when
            to create and send report


            Value in milliseconds describing how often reports should be sent.
          type: number
          example: 86400000
        filetypes:
          type: array
          items:
            type: string
          description: The filetypes that should be sent
        destinations:
          type: array
          description: >-
            List of destinations. If empty, the report is just stored and
            visible from the backoffice.
          items:
            type: object
            required:
              - destination_type
            properties:
              id:
                type: string
              destination_type:
                type: string
                description: >
                  Specifies the type of destination.


                  - account_email: Send email to the billing email address
                  registered on the account

                  - email: Send email to the email address specified in
                  `destination_value`
                enum:
                  - account_email
                  - email
              destination_value:
                type: string
                description: |
                  If destination_type is email, the email address goes here
        providers:
          type: array
          description: List of providers to send report for. If empty, send for all.
          items:
            type: string
        filters:
          description: >
            The report will only be sent to the provided destinations if it
            satisfies these criterias.
          type: array
          items:
            type: object
            properties:
              filter:
                type: string
                enum:
                  - payout_destination_id
                description: |
                  The "field/column" the data will be filtered on
              value:
                type: string
                description: >-
                  The value the records must contain for the provided filter
                  (field/column)
  securitySchemes:
    apikey:
      type: apiKey
      in: header
      description: |
        X-API-Key authentication for accessing regular endpoints. Use
        [Create api-key](#operation/admin_api_keys_post) to create a key.

        The content of the header should look like the following:

            x-api-key: {api_key}
      name: x-api-key

````